・環境:
macOS Catalina
バージョン:10.15.4(19E287)
MacBook Pro (15-inch, 2019)
$brew -v
 Homebrew 2.2.16
$rbenv -v
 rbenv 1.1.2
$ruby -v
 ruby 2.5.0p0 (2017-12-25 revision 61468) [x86_64-darwin19]
$rails -v
 Rails 5.2.4.1
$bundler -v
 Bundler version 2.1.4

・上記をインストール、切り替え、バージョンの確認をするために参考にしたサイト:
https://freesworder.net/mac-rails-environment/
https://qiita.com/pipi_taro/items/9c9a6ccc110b159b967b
https://qiita.com/opiyo_taku/items/3312a75d5916f6cd32b1

・やったこと:
$ brew install rbenv ruby-build
 ruby-buildをアップグレード

$ rbenv install 2.6.6
 rubyを2.6.6にアップグレード

$ rbenv rehash
$ rbenv global 2.6.6
 rubyのバージョン切り替え(※ $ rbenv rehashを事前にやることを忘れずに )
 ※自分は$ rbenv global 2.6.6で切り替えらず、globalをlocalにして実行するとやっと切り替わった

$ rbenv versions
 rubyのバージョン確認

$ gem install rails
 railsをアップグレード
$ rails new sample_app3
$ cd sample_app3
$ rails s
Webpacker configuration file not foundというバグが出たため、

右記Qiita(https://qiita.com/libertyu/items/1eb74adc817ab8971100)を参考に
$ brew install Node.js
$ brew install yarn
$ rails webpacker:install
を行ったところ

$ rails sが上手くいき、http://localhost:3000/ にアクセスできた